Subject: Re: [PATCH v4 0/2] daemon: explicitly allow EINTR during poll()

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Jul 2025 14:26:00 -0700

Thanks, will queue with the following typo-fixes.

I'd appreciate an explicit Ack, even if this version is acceptable
for all those who have helped polish this topic.

I understand that the self-pipe to wake ourselves up is left outside
this topic on purpose, which I agree with.

Thanks, Carlo, for putting this together from weeks' long
discussions, and thanks Phillip for pushing for simpler and smaller
set of changes.

Will queue.

1:  30773a76ce ! 1:  ef03aa432a compat/mingw: allow sigaction(SIGCHLD)
    @@ Commit message
         The current code uses signal(), which returns SIG_ERR (but doesn't
         seem to set errno) so instruct sigaction() to do the same.
     
    -    A new SA flag will be needed, so copy the one from Cygwinr; note that
    -    the sigacgtion() implementation that is provided won't use it, so
    +    A new SA flag will be needed, so copy the one from Cygwin; note that
    +    the sigaction() implementation that is provided won't use it, so
         its value is otherwise irrelevant.
     
         Signed-off-by: Carlo Marcelo Arenas Belón <[email-masked]>
2:  7a33d7a646 = 2:  d83e1eef3b daemon: use sigaction() to install child_handler()